package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 *
 * 卡券上下架状态
 *
 */
@JSONType(deserializer = EnumValueDeserializer.class)
public enum CouponStatusEnum implements IEnum<String> {

  PUT_ON("on", "已上架"),
  PUT_OFF("off", "已下架"),
  PUT_INIT("init", "待上架");

  private final String value;
  private final String desc;

  CouponStatusEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }

  /**
   * 重写toString，单个转化成json
   * @return
   */
  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value",value);
    object.put("desc", desc);
    return object.toString();
  }
}
